using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Uzgajivaci_Jabuka
{
    class Program
    {
        static double Porez(int[] A, double[] P, int n)
        {
            double[] s = new double[n];
            for (int i = 0; i < n; i++)
                for (int j = 0; j < n; j++)
                {
                    if (P[j] >= P[i])
                        s[i] += A[j] * (double)(P[i] / 100);
                }
            Array.Sort(s);
            return s[n - 1];
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] A = new int[n];
            double[] P = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] ulaz = Console.ReadLine().Split();
                A[i] = int.Parse(ulaz[0]);
                P[i] = double.Parse(ulaz[1]);
            }
            Console.WriteLine(Porez(A, P, n).ToString());
            Console.ReadKey();
        }
    }
}